Skip to main content
Getting StartedThe Criteo engine maximizes advertising performance while optimizing the shopper experience. It can automatically and intelligently control how much a line item delivers on each page type. In addition, bid multipliers provide campaign managers more control over managing bids at the line item level while also optimizing campaign performance goals at a page-type level.-Bid multipliers are available at the Onsite Sponsored Products line items level. In addition, campaign managers can modify bids only on enabled page types.-Bids can be increased up to 500% or decreased up to 50% on each page targeted at the line item level. For example: If a line item bid is $1, with a bid multiplier, you can increase the Search page bid by 20% and decrease the homepage bid by 10%. The Criteo engine will optimize more delivery and performance on the search page while also allowing the control of which page types budget is mostly allocated towards.
 

Endpoints

VerbEndpointDescription
GET/line-items/{lineItemId}/bid-multipliersReturns all bid multipliers for valid page types of the specified line item.
PUT/line-items/{lineItemId}/bid-multipliersReplaces all existing bid multipliers with the provided bid multipliers or the default value (1.0).- Note:_ A PUT operation with an empty attributes object will reset all values to their default.
 

Bid Multiplier Attributes

id
Data Type: stringDefault Value: long-idDescription: Line item Id
Data Type: decimalDefault Value: 1.0Note: Bids can be increased up to 500% (6.00) or decreased up to 50% (0.50)Description: Bid Multiplier applied to the search page type
Home
Data Type: decimalDefault Value: 1.0Note: Bids can be increased up to 500% (6.00) or decreased up to 50% (0.50)Description: Bid Multiplier applied to the home page type
Category
Data Type: decimalDefault Value: 1.0Note: Bids can be increased up to 500% (6.00) or decreased up to 50% (0.50)Description: Bid Multiplier applied to the category page type
ProductDetail
Data Type: decimalDefault Value: 1.0Note: Bids can be increased up to 500% (6.00) or decreased up to 50% (0.50)Description: Bid Multiplier applied to the productDetail page type
Confirmation
Data Type: decimalDefault Value: 1.0Note: Bids can be increased up to 500% (6.00) or decreased up to 50% (0.50)Description: Bid Multiplier applied to the confirmation page type
Merchandising
Data Type: decimalDefault Value: 1.0Note: Bids can be increased up to 500% (6.00) or decreased up to 50% (0.50)Description: Bid Multiplier applied to the merchandising page type
Deals
Data Type: decimalDefault Value: 1.0Note: Bids can be increased up to 500% (6.00) or decreased up to 50% (0.50)Description: Bid Multiplier applied to the deals page type
Checkout
Data Type: decimalDefault Value: 1.0Note: Bids can be increased up to 500% (6.00) or decreased up to 50% (0.50)Description: Bid Multiplier applied to the checkout page type
Favorites
Data Type: decimalDefault Value: 1.0Note: Bids can be increased up to 500% (6.00) or decreased up to 50% (0.50)Description: Bid Multiplier applied to the favorites page type
Data Type: decimalDefault Value: 1.0Note: Bids can be increased up to 500% (6.00) or decreased up to 50% (0.50)Description: Bid Multiplier applied to the searchBar page type
CategoryMenu
Data Type: decimalDefault Value: 1.0Note: Bids can be increased up to 500% (6.00) or decreased up to 50% (0.50)Description: Bid Multiplier applied to the categoryMenu page type

Get Bid Multipliers

Returns all bid multipliers for valid page types of the specified line item. Sample Request
curl -L -X GET 'https://api.criteo.com/{version}/retail-media/line-items/347413132777078784/bid-multipliers' \
-H 'Accept: text/plain' \
-H 'Authorization: Bearer MY_ACCESS_TOKEN'
Sample Response
{
    "data": {
        "type": "LineItemBidMultipliersV2",
        "attributes": {
            "search": 1.10,
            "home": 1.90,
            "category": 1.50,
            "productDetail": 1.60,
            "confirmation": 1.30,
            "merchandising": 1.70,
            "deals": 2.00,
            "checkout": 2.50,
            "favorites": 2.30,
            "searchBar": 1.00,
            "categoryMenu": 1.10,
            "id": null
        }
    },
    "warnings": [],
    "errors": []
}

Update Page Type Bid Multipliers

Replaces all existing bid multipliers with the provided bid multipliers or the default value (1.0).
  • Note: A PUT operation with an empty attributes object will reset all values to their default.
Sample Request
--Request

curl -L -X PUT 'https://api.criteo.com/{version}/retail-media/line-items/347112182987198464/bid-multipliers' \
-H 'Content-Type: application/json' \
-H 'Accept: text/plain' \
-H 'Authorization: Bearer MY_ACCESS_TOKEN' \
--data-raw '{
	"data": {
		"attributes": {
			"search": "1.10",
			"home": "1.90",
			"category": "1.50",
			"productDetail": "1.60",
			"confirmation": "1.30",
			"merchandising": "1.70",
      "deals": "2.00",
      "checkout": "2.50",
      "favorites": "2.30",
      "searchBar": "1.00",
      "categoryMenu": "1.10"
		},
		"id": "347112182987198464",
		"type": "RetailMediaBidMultiplier"
	}
}'
Sample Response
{
    "data": {
        "attributes": {
            "search": 1.10,
            "home": 1.90,
            "category": 1.50,
            "productDetail": 0.50,
            "confirmation": 1.30,
            "merchandising": 1.70,
            "deals": 2.00,
            "checkout": 2.50,
            "favorites": 2.30,
            "searchBar": 1.00,
            "categoryMenu": 1.10,
            "id": null
        },
        "id": null,
        "type": "LineItemBidMultipliersV2"
    },
    "warnings": [],
    "errors": []
}

Responses

ResponseDescription
🔵 200Call executed with success
🔴 400BidMultiplierOutOfRange A bid multiplier provided is out of range of the expected range and could not be acceptedIllegalValueProvided An invalid page type or poorly formatted bid multiplier was provided
🔴 401Unauthorized User doesnt have permission to edit a specified line item
🔴 404LineItemDoesntExist Attempted to fetch or manipulate a line item that does not exist